Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.management
Class ObjectNameBuilder

    java.lang.Object
      org.hornetq.api.core.management.ObjectNameBuilder

    public class ObjectNameBuilder

extends Object

Helper class to build ObjectNames for HornetQ resources.

Author:
  Jeff Mesnil

Field Summary
`static String` | `CORE_MODULE`
`static ObjectNameBuilder` | `DEFAULT` Default JMX domain for HornetQ resources.
`static String` | `JMS_MODULE`

Method Summary
`static ObjectNameBuilder` | `create(String domain)`
`ObjectName` | `getAcceptorObjectName(String name)` Returns the ObjectName used by AcceptorControl.
`ObjectName` | `getAddressObjectName(SimpleString address)` Returns the ObjectName used by AddressControl.
`ObjectName` | `getBridgeObjectName(String name)` Returns the ObjectName used by BridgeControl.
`ObjectName` | `getBroadcastGroupObjectName(String name)` Returns the ObjectName used by BroadcastGroupControl.
`ObjectName` | `getClusterConnectionObjectName(String name)` Returns the ObjectName used by ClusterConnectionControl.
`ObjectName` | `getConnectionFactoryObjectName(String name)` Returns the ObjectName used by ConnectionFactoryControl.
`ObjectName` | `getDiscoveryGroupObjectName(String name)` Returns the ObjectName used by DiscoveryGroupControl.
`ObjectName` | `getDivertObjectName(String name)` Returns the ObjectName used by DivertControl.
`ObjectName` | `getHornetQServerObjectName()` Returns the ObjectName used by the single HornetQServerControl.
`ObjectName` | `getJMSQueueObjectName(String name)` Returns the ObjectName used by JMSQueueControl.
`ObjectName` | `getJMSServerObjectName()` Returns the ObjectName used by JMSServerControl.
`ObjectName` | `getJMSTopicObjectName(String name)` Returns the ObjectName used by TopicControl.
`ObjectName` | `getQueueObjectName(SimpleString address, SimpleString name)` Returns the ObjectName used by QueueControl.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static ObjectNameBuilder DEFAULT

  Default JMX domain for HornetQ resources.

### JMS_MODULE

    public static final String JMS_MODULE

See Also:
  Constant Field Values

### CORE_MODULE

    public static final String CORE_MODULE

See Also:
  Constant Field Values

Method Detail

### create

    public static ObjectNameBuilder create(String domain)

### getHornetQServerObjectName

    public ObjectName getHornetQServerObjectName()
                                          throws Exception

  Returns the ObjectName used by the single HornetQServerControl.

  Throws:
    `Exception`

### getAddressObjectName

    public ObjectName getAddressObjectName(SimpleString address)
                                    throws Exception

  Returns the ObjectName used by AddressControl.

  Throws:
    `Exception`
  See Also:
    `AddressControl`

### getQueueObjectName

    public ObjectName getQueueObjectName(SimpleString address,
                                         SimpleString name)
                                  throws Exception

  Returns the ObjectName used by QueueControl.

  Throws:
    `Exception`
  See Also:
    `QueueControl`

### getDivertObjectName

    public ObjectName getDivertObjectName(String name)
                                   throws Exception

  Returns the ObjectName used by DivertControl.

  Throws:
    `Exception`
  See Also:
    `DivertControl`

### getAcceptorObjectName

    public ObjectName getAcceptorObjectName(String name)
                                     throws Exception

  Returns the ObjectName used by AcceptorControl.

  Throws:
    `Exception`
  See Also:
    `AcceptorControl`

### getBroadcastGroupObjectName

    public ObjectName getBroadcastGroupObjectName(String name)
                                           throws Exception

  Returns the ObjectName used by BroadcastGroupControl.

  Throws:
    `Exception`
  See Also:
    `BroadcastGroupControl`

### getBridgeObjectName

    public ObjectName getBridgeObjectName(String name)
                                   throws Exception

  Returns the ObjectName used by BridgeControl.

  Throws:
    `Exception`
  See Also:
    `BridgeControl`

### getClusterConnectionObjectName

    public ObjectName getClusterConnectionObjectName(String name)
                                              throws Exception

  Returns the ObjectName used by ClusterConnectionControl.

  Throws:
    `Exception`
  See Also:
    `ClusterConnectionControl`

### getDiscoveryGroupObjectName

    public ObjectName getDiscoveryGroupObjectName(String name)
                                           throws Exception

  Returns the ObjectName used by DiscoveryGroupControl.

  Throws:
    `Exception`
  See Also:
    `DiscoveryGroupControl`

### getJMSServerObjectName

    public ObjectName getJMSServerObjectName()
                                      throws Exception

  Returns the ObjectName used by JMSServerControl.

  Throws:
    `Exception`
  See Also:
    `JMSServerControl`

### getJMSQueueObjectName

    public ObjectName getJMSQueueObjectName(String name)
                                     throws Exception

  Returns the ObjectName used by JMSQueueControl.

  Throws:
    `Exception`
  See Also:
    `JMSQueueControl`

### getJMSTopicObjectName

    public ObjectName getJMSTopicObjectName(String name)
                                     throws Exception

  Returns the ObjectName used by TopicControl.

  Throws:
    `Exception`
  See Also:
    `TopicControl`

### getConnectionFactoryObjectName

    public ObjectName getConnectionFactoryObjectName(String name)
                                              throws Exception

  Returns the ObjectName used by ConnectionFactoryControl.

  Throws:
    `Exception`
  See Also:
    `ConnectionFactoryControl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.